﻿using HeuristicLab.Common;
using HeuristicLab.Core;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;

namespace HeuristicLab.DataPreprocessing
{
  [Item("FilterContent", "Represents the filter grid.")]
  class FilterContent : Item
  {

    private readonly IFilterLogic filterLogic;
    public FilterContent(IFilterLogic theFilterLogic)
    {
      filterLogic = theFilterLogic;
    }

    public IFilterLogic FilterLogic
    {
      get {
        return filterLogic;
      }
    }

    public FilterContent(FilterContent content, Cloner cloner)
      : base(content, cloner)
    {

    }

    public static new Image StaticItemImage
    {
      get { return HeuristicLab.Common.Resources.VSImageLibrary.Table; }
    }

    public override IDeepCloneable Clone(Cloner cloner)
    {
      return new FilterContent(this, cloner);
    }

  }
}
