﻿using HeuristicLab.Common;
using HeuristicLab.Core;
using System.Drawing;
using System;
using System.Collections.Generic;

using System.Linq;
using System.Text;

namespace HeuristicLab.DataPreprocessing
{
  [Item("HistogramContent", "Represents the histogram grid.")]
  class HistogramContent : Item
  {

    private readonly IHistogramLogic histogramLogic;
    public HistogramContent(IHistogramLogic theHistogramLogic)
    {
      histogramLogic = theHistogramLogic;
    }

    public HistogramContent(HistogramContent content, Cloner cloner)
      : base(content, cloner)
    {

    }

    public IHistogramLogic HistogramLogic
    {
      get
      {
        return histogramLogic;
      }
    }

    public static new Image StaticItemImage
    {
      get { return HeuristicLab.Common.Resources.VSImageLibrary.Table; }
    }

    public override IDeepCloneable Clone(Cloner cloner)
    {
      return new HistogramContent(this, cloner);
    }
  }
}
